org.mariadb.jdbc.internal.common.query.parameters

## Class ParameterHolder

- java.lang.Object
- - org.mariadb.jdbc.internal.common.query.parameters.ParameterHolder

Direct Known Subclasses:
  BigDecimalParameter, ByteArrayParameter, DateParameter, DoubleParameter, IntParameter, LongParameter, NullParameter, ReaderParameter, SerializableParameter, StreamParameter, StringParameter, TimeParameter, TimestampParameter

    public abstract class ParameterHolder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ParameterHolder()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`String` `toString()`
`abstract void` `writeTo(OutputStream os)` Write parameter value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParameterHolder

    public ParameterHolder()

### Method Detail

#### writeTo

    public abstract void writeTo(OutputStream os)
                          throws IOException

Write parameter value

Parameters:
  `os` - the stream to write to
Throws:
  `IOException` - when something goes wrong

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`